#if !defined(AFX_CONVERTFILEDLG_H__08057541_9D69_11D5_A31F_5254AB104E6A__INCLUDED_)
#define AFX_CONVERTFILEDLG_H__08057541_9D69_11D5_A31F_5254AB104E6A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConvertFileDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConvertFileDlg dialog

class CConvertFileDlg : public CDialog
{
// Construction
public:
	CConvertFileDlg(CWnd* pParent = NULL);   // standard constructor

	static BOOL Adsp2H(CString strDstName, CString strSrcName);
	static BOOL Adsp2BIN(CString strDstName, CString strSrcName);
	static BOOL BIN2Adsp(CString strDstName, CString strSrcName);
	static BOOL Binary2H(CString strDstName, CString strSrcName);
	static BOOL Hex2H(CString strDstName, CString strSrcName);
	static BOOL Wave2Pcm(CString strDstName, CString strSrcName);

	BOOL Pcm2H(CString strDstName, CString strSrcName);
	BOOL Pcm2H_2(CString strDstPath, CString strSrcPath, CString strName);
	void Pcm2H_All(CString strDstPath, CString strSrcPath);

	BOOL AudioEncode(CString strDstName, CString strSrcName);
	BOOL AudioDecode(CString strDstName, CString strSrcName);

// Dialog Data
	//{{AFX_DATA(CConvertFileDlg)
	enum { IDD = IDD_CONVERT_FILE };
	CEdit	m_ctlNewLogName;
	CString	m_strOutputDir;
	CString	m_strBinaryFile;
	//}}AFX_DATA

	CString	m_strSourceDir;
	CString m_strSourcePath;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConvertFileDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConvertFileDlg)
	afx_msg void OnAdspConverter();
	afx_msg void OnBinaryConverter();
	afx_msg void OnHexConverter();
	afx_msg void OnEncodeFile();
	afx_msg void OnDecodeFile();
	virtual BOOL OnInitDialog();
	afx_msg void OnBatchWork();
	afx_msg void OnHexToBin();
	afx_msg void OnWaveConverter();
	afx_msg void OnConvertDebug();
	afx_msg void OnConvertMap();
	afx_msg void OnBuild004t();
	afx_msg void OnBuildF040();
	afx_msg void OnBuildStandard();
	afx_msg void OnOptionsBinToTxt();
	afx_msg void OnOptionsTxtToBin();
	afx_msg void OnBuildPA168T();
	afx_msg void OnBuildDir();
	afx_msg void OnBrowse();
	afx_msg void OnModifyLog();
	afx_msg void OnAdspToBin();
	afx_msg void OnBinToAdsp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:
	BOOL	m_bAudioNoAcm;
	BOOL	m_bUseHighRate;
	BOOL	m_bUseVAD;
	int		m_iAudioType;

protected:
//	void MergeHex(CString strDstName, CString strSrcName1, CString strSrcName2);
	void MergeHex(CString strDstName, ...);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONVERTFILEDLG_H__08057541_9D69_11D5_A31F_5254AB104E6A__INCLUDED_)
